Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi.flexspi.ticket
Interface WorkflowOpsV2

All Superinterfaces
  ISPIMarker, ISPITicketMarker, Serializable, WorkflowOpsV1

    public interface WorkflowOpsV2

extends WorkflowOpsV1

WorkflowOps is a Ticket interface for Workflow CRUD operations. This interface contains methods to manage workflows for a given repository.

A Workflow represents the workflow a node goes through from it's starting point (DRAFT) to the end point (PUBLISHED by default). This interface allows users to customize the workflow actions associated with the node as well as the status associated with each action.

Nested Class Summary
`static class` | `WorkflowOpsV2.MethodName`

Method Summary
`boolean` | `canAccessWorkflow(IContentContext context, ID workflowId)` if the specified workflow exists, can the caller access it? this is used for checking access to cached content

Methods inherited from interface com.bea.content.spi.flexspi.ticket.WorkflowOpsV1
`addWorkflow, deleteWorkflow, getAllWorkflows, getDefaultWorkflow, getNativeFilterableProperties, getNativeSortableProperties, getNodeIDsForWorkflow, getTypeIDsForWorkflow, getWorkflowDocument, getWorkflowForNode, getWorkflowForType, getWorkflowWithId, getWorkflowWithName, setDefaultWorkflow, setNodeWorkflow, setTypeWorkflow, updateWorkflowDocument, updateWorkflowMetaData`

Method Detail

### canAccessWorkflow

    boolean canAccessWorkflow(IContentContext context,
                              ID workflowId)
                              throws RepositoryException

  if the specified workflow exists, can the caller access it? this is used for checking access to cached content

  Parameters
    `context` - The ContentContext object
    `workflowId` - The workflow to check access for
  Returns
    true if the workflow exists and the caller can access it, false if it does not exist, or it does and the caller cannot access it.
  Throws
    `RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.